Bug 764450 - (GLUSTER-2718) Fix warning in glusterd build
Fix warning in glusterd build
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-12 01:56 EDT by Pranith Kumar K
Modified: 2011-04-13 06:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anand Avati 2011-04-11 23:50:26 EDT
PATCH: http://patches.gluster.com/patch/6798 in master (mgmt/glusterd: Fix warning in glusterd build)
Comment 1 Pranith Kumar K 2011-04-12 01:56:00 EDT
cc1: warnings being treated as errors
../../../../../xlators/mgmt/glusterd/src/glusterd-op-sm.c: In function ‘glusterd_quota_initiate_fs_crawl’:
../../../../../xlators/mgmt/glusterd/src/glusterd-op-sm.c:4223: error: implicit declaration of function ‘umount’
Comment 2 Raghavendra Bhat 2011-04-13 03:48:24 EDT
checked by compiling with make CFLAGS="-Werror -Wall". It did not error out. Fixed now.

Note You need to log in before you can comment on or make changes to this bug.